LINUX.ORG.RU

обновление Debian


0

0

Здравствуйте! необходима помощь. сейчас у меня стоит дебиан. имеется безлимитный интернет. проблем с обновлением не возникает. но через неделю мне придется отключиться от интернета на довольно долгий период времени (рпоблемы с деньгами). задача собстевнно такая: нужно сейчас каким то образом скачать обновления, необходимые для установки драйверов nvidia (а именно: обновления ядра, make, binutils, gcc, libc6-dev) и еще некоторые пакеты (компиляторы g++, gpc). Все это нужно запихнуть в локальный репозиторий, чтобы потом при переустановке системы обновиться с него.

Я пробовал все из /var/cache/apt/arhives/ запихнуть в лок. репозиторий. но при обновлении из него у меня ставились только обновления безопасности и т.п. а нужные пакеты не ставились.

Помогите с решением этой проблемы.

P.S. такую же проблему нужно решить и на Ubuntu, но я думаю алгоритм действий для этих систем будет одинаков)

Re: обновление Debian

aptoncd, apt-zip

Igron ★★★★★ ()

Re: обновление Debian

> скачать обновления, необходимые для установки драйверов nvidia (а именно: обновления ядра, make, binutils, gcc, libc6-dev)

у меня на gcc-4.3 дрова NVIDIA-Linux-x86-180.29 нормально не откомпилились

ЗЫ это просто так к сведению

SherKhan ()
Ответ на: Re: обновление Debian от SherKhan

Re: обновление Debian

ну у меня дрова nvidia 180.22 (для GeForce 8600 GTS) всегда нормально ставились на gcc-3.4 (хотя уже наверно намного новее есть).

У меня возникла идея. я уже говорил что делал локальные репозитории и обновлялся потом из них, но необходимого результата не получал. но я делал так: в sources.list добавлял deb file:/путь к репам ./ и делал apt-get update и apt-get upgrade. он обновлялся, но пакеты не ставил. а если ввести apt-get install "пакет", он его установит с локальных реп??

fjello ()
Ответ на: Re: обновление Debian от SherKhan

Re: обновление Debian

>у меня на gcc-4.3 дрова NVIDIA-Linux-x86-180.29 нормально не откомпилились

у меня нвидиевский инсталер давно уже ругается на версию gcc: в системе по дефолту gcc-4.3, а ядро из репов собирают gcc-4.1. Лечится просто:

export CC=/usr/bin/gcc-4.1

После этого все компилится и отлично работает, в том числе на последней версии дров с относительно не свежим ядром. Естественно gcc-4.1 нужно установить предварительно :)

nu11 ★★★★★ ()
Ответ на: Re: обновление Debian от SherKhan

Re: обновление Debian

если в приступе красноглазия ставишь 180.29, то почему бы не собрать уж заодно своё ядро? проблемы с версией gcc как не бывало :)

mic ★★★★★ ()
Ответ на: Re: обновление Debian от fjello

Re: обновление Debian

> apt-get install "пакет", он его установит с локальных реп

Нет, не установит. Это в мане написано.

apt-get -d install gcc - скачает то, что надо.

Все пакеты сохраняются в /var/cache/apt/archives

Установить всё это можно потом, скормив dpkg -i

shell-script ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.